PHP Manual
Prev |  | Next

# ncurses_getmaxyx

(PHP 4 >= 4.3.0, PHP 5)

ncurses_getmaxyx -- Returns the size of a window

## Description

void ncurses_getmaxyx ( resource window, int &y, int &x )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Gets the horizontal and vertical size of the given `window` into the given variables.

Variables must be passed as reference, so they are updated when the user changes the terminal size.

## Parameters

`window`

  The measured window

`x`

  This will be set to the window width

`y`

  This will be set to the window height

## Return Values

No value is returned.

Prev | Home | Next
ncurses_getch | Up | ncurses_getmouse